App Icon

NAD OSD

The missing on-screen display and remote.

System requirements: NAD T 758 V3, NAD T 777 V3, NAD T 778 or NAD M17 V2, NAD M15 HD (requires AM 17 and VM 300 upgrade), iPhone or iPad (iOS/iPadOS 13 or later)

For support please send a support request.

Download on the App Store